org.apache.ignite.internal.processors.continuous

## Class StopRoutineDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage
  - - org.apache.ignite.internal.processors.continuous.StopRoutineDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class StopRoutineDiscoveryMessage
    extends AbstractContinuousMessage

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`routineId`

### Constructor Summary

Constructors
Constructor and Description
`StopRoutineDiscoveryMessage(UUID routineId)`

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`id, isMutable, routineId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopRoutineDiscoveryMessage

    public StopRoutineDiscoveryMessage(UUID routineId)

Parameters:
  `routineId` - Routine id.

### Method Detail

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017